#ifndef __HJELPEFUNKSJONER_H
#define __HJELPEFUNKSJONER_H

#include <algorithm>
#include <cctype>
#include <iostream>
#include <regex>
#include <string>

#include "konstanter.h"

/**
 * HjelpeFunksjoner klasse.
 * 
 */
class HjelpeFunksjoner {
   public:
    std::string rensStreng(std::string str);
    bool sjekkForUlovligTegn(std::string str);
    bool erBokstav(std::string str);
    std::string gjorOmTilStorBokstav(const std::string & str);
    std::vector<std::string> splittStreng(const char & splittPa, const std::string & str);
    void skrivKlokkeslett(const int& time, const int& min);
    int lesTall();
};

#endif